package com.loafle.overflow.core.interfaces;

/**
 * Service
 */
public interface Service {
	void initService() throws Exception;

	void startService() throws Exception;

	void stopService();

	void destroyService();

	public static enum ServiceMethodType {
		INIT("initService"),
		START("startService"),
		STOP("stopService"),
		DESTROY("destroyService");

		private String stringValue;

		ServiceMethodType(String string) {
			stringValue = string;
		}

		@Override
		public String toString() {
			return stringValue;
		}
	}
}